## MMLocation3gpp

MMLocation3gpp — Helper object to handle 3GPP location information.

## Functions

guint | mm_location_3gpp_get_mobile_country_code ()
guint | mm_location_3gpp_get_mobile_network_code ()
const gchar * | mm_location_3gpp_get_operator_code ()
gulong | mm_location_3gpp_get_location_area_code ()
gulong | mm_location_3gpp_get_tracking_area_code ()
gulong | mm_location_3gpp_get_cell_id ()

## Types and Values

struct | MMLocation3gpp

## Object Hierarchy

        GObject
        ╰── MMLocation3gpp

## Description

The MMLocation3gpp is an object handling the location information of the modem when this is reported by the 3GPP network.

This object is retrieved with either `mm_modem_location_get_3gpp()`, `mm_modem_location_get_3gpp_sync()`, `mm_modem_location_get_full()` or `mm_modem_location_get_full_sync()`.

## Functions

### mm_location_3gpp_get_mobile_country_code ()

    guint
    mm_location_3gpp_get_mobile_country_code
                                   (MMLocation3gpp *self);

Gets the Mobile Country Code of the 3GPP network.

#### Parameters

self | a MMLocation3gpp. |

#### Returns

the MCC, or 0 if unknown.

Since: 1.0

### mm_location_3gpp_get_mobile_network_code ()

    guint
    mm_location_3gpp_get_mobile_network_code
                                   (MMLocation3gpp *self);

`mm_location_3gpp_get_mobile_network_code` has been deprecated since version 1.18.0. and should not be used in newly-written code.

This function can not separate between two-digit MNCs and three-digit MNCs with a leading zero. Use `mm_location_3gpp_get_operator_code()` instead.

Gets the Mobile Network Code of the 3GPP network.

Note that 0 may actually be a valid MNC. In general, the MNC should be considered valid just if the reported MCC is valid, as MCC should never be 0.

#### Parameters

self | a MMLocation3gpp. |

#### Returns

the MNC, or 0 if unknown.

Since: 1.0

### mm_location_3gpp_get_operator_code ()

    const gchar *
    mm_location_3gpp_get_operator_code (MMLocation3gpp *self);

Gets the 3GPP network Mobile Country Code and Mobile Network Code.

Returned in the format `"MCCMNC"`, where `MCC` is the three-digit ITU E.212 Mobile Country Code and `MNC` is the two- or three-digit GSM Mobile Network Code. e.g. e`"31026"` or `"310260"`.

#### Parameters

self | A MMLocation3gpp. |

#### Returns

The operator code, or `NULL` if none available.

[transfer none]

Since: 1.18

### mm_location_3gpp_get_location_area_code ()

    gulong
    mm_location_3gpp_get_location_area_code
                                   (MMLocation3gpp *self);

Gets the location area code of the 3GPP network.

#### Parameters

self | a MMLocation3gpp. |

#### Returns

the location area code, or 0 if unknown.

Since: 1.0

### mm_location_3gpp_get_tracking_area_code ()

    gulong
    mm_location_3gpp_get_tracking_area_code
                                   (MMLocation3gpp *self);

Gets the location area code of the 3GPP network.

#### Parameters

self | a MMLocation3gpp. |

#### Returns

the location area code, or 0 if unknown.

Since: 1.10

### mm_location_3gpp_get_cell_id ()

    gulong
    mm_location_3gpp_get_cell_id (MMLocation3gpp *self);

Gets the cell ID of the 3GPP network.

#### Parameters

self | a MMLocation3gpp. |

#### Returns

the cell ID, or 0 if unknown.

Since: 1.0

## Types and Values

### struct MMLocation3gpp

    struct MMLocation3gpp;

The MMLocation3gpp structure contains private data and should only be accessed using the provided API.